import { column, constMap } from "../utils";
// prettier-ignore
const platformAndChainsEntries = [[
        "Evm", [
            "Acala",
            "Arbitrum",
            "Aurora",
            "Avalanche",
            "Base",
            "Bsc",
            "Celo",
            "Ethereum",
            "Fantom",
            "Gnosis",
            "Karura",
            "Klaytn",
            "Moonbeam",
            "Neon",
            "Oasis",
            "Optimism",
            "Polygon",
            "Rootstock",
            "Sepolia",
            "ArbitrumSepolia",
            "BaseSepolia",
            "OptimismSepolia",
            "Holesky",
        ]
    ], [
        "Solana", [
            "Solana",
            "Pythnet"
        ]
    ], [
        "Cosmwasm", [
            "Cosmoshub",
            "Evmos",
            "Injective",
            "Kujira",
            "Osmosis",
            "Sei",
            "Terra",
            "Terra2",
            "Wormchain",
            "Xpla",
        ]
    ], [
        "Btc", [
            "Btc"
        ]
    ], [
        "Algorand", [
            "Algorand"
        ]
    ], [
        "Sui", [
            "Sui"
        ]
    ], [
        "Aptos", [
            "Aptos"
        ]
    ], [
        "Near", [
            "Near"
        ]
    ],
];
export const platforms = column(platformAndChainsEntries, 0);
export const platformToChains = constMap(platformAndChainsEntries);
export const chainToPlatform = constMap(platformAndChainsEntries, [1, 0]);
export const isPlatform = (platform) => platformToChains.has(platform);
// prettier-ignore
const platformAddressFormatEntries = [
    ["Evm", "hex"],
    ["Solana", "base58"],
    ["Cosmwasm", "bech32"],
    ["Btc", "bech32"],
    ["Algorand", "algorandAppId"],
    ["Sui", "hex"],
    ["Aptos", "hex"],
    ["Near", "sha256"],
];
export const platformToAddressFormat = constMap(platformAddressFormatEntries);
//# sourceMappingURL=platforms.js.map