import { isBytesType } from "./layout";
export const checkUint8ArraySize = (custom, size) => {
    if (custom.length !== size)
        throw new Error(`binary size mismatch: layout size: ${custom.length}, data size: ${size}`);
};
export const checkNumEquals = (custom, data) => {
    if (custom != data)
        throw new Error(`value mismatch: (constant) layout value: ${custom}, data value: ${data}`);
};
export const checkUint8ArrayDeeplyEqual = (custom, data) => {
    checkUint8ArraySize(custom, data.length);
    for (let i = 0; i < custom.length; ++i)
        if (custom[i] !== data[i])
            throw new Error(`binary data mismatch: layout value: ${custom}, data value: ${data}`);
};
export function getBytesItemSize(bytesItem) {
    if ("size" in bytesItem && bytesItem.size !== undefined)
        return bytesItem.size;
    if (isBytesType(bytesItem.custom))
        return bytesItem.custom.length;
    if (isBytesType(bytesItem?.custom?.from))
        return bytesItem.custom.from.length;
    return null;
}
export function findIdLayoutPair(item, data) {
    const id = data[item.idTag ?? "id"];
    return item.layouts.find(([idOrConversionId]) => (Array.isArray(idOrConversionId) ? idOrConversionId[1] : idOrConversionId) == id);
}
//# sourceMappingURL=utils.js.map